function love.load()
	-- Important shit here
	vars = {mouseLeftPressed, mouseLeftReleased, mouseRightPressed, mouseRightReleased, focus}
	for i, var in pairs(vars) do
		loadstring(var .. " = false")
	end
	love.graphics.setBackgroundColor(255,255,255)
end

function love.update(dt)
	-- dt is time since last update in seconds
end

function love.draw()
	-- Call all draw functions in here
	love.graphics.setColor(0,0,0,255)
	love.graphics.print(love.timer.getFPS(), 100, 100, 0, 10, 10)
end

function love.focus(f)
	if f then
		focus = true
	else
		focus = false
	end
end

function love.mousepressed(x, y, button)
	if button == "l" then
		mouseLeftPressed = true
	else
		mouseRightPressed = true
	end
end

function love.mousereleased(x, y, button)
	if button == "l" then
		mouseLeftPressed = false
	else
		mouseRightPressed = false
	end
end

function love.keypressed(key, unicode)
	if key == "escape" then
		love.event.quit()
	end
end

function love.keyreleased(key, unicode)
	if not love.keyboard.isDown(key) then
		-- do stuff
	end
end

function love.run()

    math.randomseed(os.time())
    math.random() math.random()

    if love.load then love.load(arg) end

    local dt = 0
	tInitial = love.timer.getMicroTime()
	tPrevious = tInitial

    -- Main loop time.
    while true do
        -- Process events.
        if love.event then
            love.event.pump()
            for e,a,b,c,d in love.event.poll() do
                if e == "quit" then
                    if not love.quit or not love.quit() then
                        if love.audio then
                            love.audio.stop()
                        end
                        return
                    end
                end
                love.handlers[e](a,b,c,d)
            end
        end

        -- Update dt, as we'll be passing it to update
        if love.timer then
            love.timer.step()
            dt = love.timer.getDelta()
        end

        -- Call update and draw
        if love.update then love.update(dt) end -- will pass 0 if love.timer is disabled
        if love.graphics then
			tCurrent = love.timer.getMicroTime()
			fpsCurrent = math.floor(1/(tCurrent-tPrevious))
			print(fpsCurrent, 1/(tCurrent-tPrevious), tCurrent-tInitial)
			tPrevious = tCurrent
            love.graphics.clear()
            if love.draw then love.draw() end
        end

        if love.timer then love.timer.sleep(1/love.fps) end
        if love.graphics then love.graphics.present() end
    end

end


function love.quit()
	do return end
end